Page MenuHomePhabricator

Please update nds-nl Wikipedia logo
Closed, ResolvedPublic

Description

Can someone please update the Wikipedia logo on nds-nl?

You can find a discussion about it here: https://nds-nl.wikipedia.org/w/index.php?title=Wikipedie:Praothoek&oldid=295726#Wiki-logo
The updated version of the logo is located here: https://nds-nl.wikipedia.org/w/index.php?title=Bestaand:Wiki.png&oldid=295624

Thanks in advance!

Details

Related Gerrit Patches:
operations/mediawiki-config : masterCorrect high-density logos for the Dutch Low Saxon Wikipedia
operations/mediawiki-config : masterUpdate logo for Dutch Low Saxon Wikipedia

Event Timeline

Servien created this task.Mar 19 2018, 3:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2018, 3:00 PM
tomasz claimed this task.Mar 20 2018, 12:32 PM
tomasz triaged this task as Low priority.

Change 420934 had a related patch set uploaded (by Odder; owner: Odder):
[operations/mediawiki-config@master] Update logo for Dutch Low Saxon Wikipedia

https://gerrit.wikimedia.org/r/420934

Change 420934 merged by jenkins-bot:
[operations/mediawiki-config@master] Update logo for Dutch Low Saxon Wikipedia

https://gerrit.wikimedia.org/r/420934

Mentioned in SAL (#wikimedia-operations) [2018-03-22T23:23:09Z] <ladsgroup@tin> Synchronized static/images/project-logos/nds_nlwiki-1.5x.png: static/images/project-logos/nds_nlwiki-2x.png static/images/project-logos/nds_nlwiki.png [[gerrit:420934|Update logo for Dutch Low Saxon Wikipedia (T190051)]] (duration: 00m 59s)

Mentioned in SAL (#wikimedia-operations) [2018-03-22T23:26:11Z] <ladsgroup@tin> Synchronized static/images/project-logos/nds_nlwiki-1.5x.png: [[gerrit:420934|Update logo for Dutch Low Saxon Wikipedia (T190051)]] (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2018-03-22T23:27:54Z] <ladsgroup@tin> Synchronized static/images/project-logos/nds_nlwiki-2x.png: [[gerrit:420934|Update logo for Dutch Low Saxon Wikipedia (T190051)]] (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2018-03-22T23:29:23Z] <ladsgroup@tin> Synchronized static/images/project-logos/nds_nlwiki.png: [[gerrit:420934|Update logo for Dutch Low Saxon Wikipedia (T190051)]] (duration: 00m 58s)

Change 421521 had a related patch set uploaded (by Odder; owner: Odder):
[operations/mediawiki-config@master] Correct high-density logos for the Dutch Low Saxon Wikipedia

https://gerrit.wikimedia.org/r/421521

Change 421521 merged by jenkins-bot:
[operations/mediawiki-config@master] Correct high-density logos for the Dutch Low Saxon Wikipedia

https://gerrit.wikimedia.org/r/421521

Mentioned in SAL (#wikimedia-operations) [2018-03-26T23:41:16Z] <niharika29@tin> Synchronized static/images/project-logos/: Correct high-density logos for the Dutch Low Saxon Wikipedia T190051 (duration: 00m 59s)

tomasz closed this task as Resolved.Mar 26 2018, 11:43 PM
Krinkle added subscribers: Niharika, Krinkle.EditedMar 27 2018, 6:07 AM

@Niharika It seems the urls were not purged, as I was still seeing the low-res files even with a hard-refresh in the browser. (Maybe a bug caused the ulsfo-varnish to skip the purge, in which case, never mind!). I've purged them now, just in case. This resolved the issue for me.

I've also updated the SWAT Deployers page to more clearly highlight this requirement.

@Niharika It seems the urls were not purged, as I was still seeing the low-res files even with a hard-refresh in the browser. (Maybe a bug caused the ulsfo-varnish to skip the purge, in which case, never mind!). I've purged them now, just in case. This resolved the issue for me.
I've also updated the SWAT Deployers page to more clearly highlight this requirement.

Thanks, @Krinkle! You're right, I didn't purge the URLs. My guess was that they will get purged automagically like they do when we pull to mwdebug1002 for testing (or at least they did in this case). I'll keep this in mind henceforth.

Krinkle added a comment.EditedMar 27 2018, 8:11 PM

@Niharika Yeah, the wording around "cache" gets a big fuzzy in this area. With X-Wikimedia-Debug in the browser, things appear up-to-date and purged because XMD mode bypasses Varnish to communicate with mwdebug directly. After disabling XMD and trying "in production" again, you should (normally) be able to see the old version again as cached by Varnish.

In order to truly see what is currently in Varnisih, you may have to perform a hard refresh in the browser. That ensures the browser ignores the alternate (possibly newer) copy it got from mwdebug and instead asks for a "fresh" response from Varnish cache. In this context, you bypass one cache (browser), in order to access another (Varnish). Varnish will then appear stale or up-to-date, depending on whether the url was purged.

@Niharika Yeah, the wording around "cache" gets a big fuzzy in this area. With X-Wikimedia-Debug in the browser, things appear up-to-date and purged because XMD mode bypasses Varnish to communicate with mwdebug directly. After disabling XMD and trying "in production" again, you should (normally) be able to see the old version again as cached by Varnish.
In order to truly see what is currently in Varnisih, you may have to perform a hard refresh in the browser. That ensures the browser ignores the alternate (possibly newer) copy it got from mwdebug and instead asks for a "fresh" response from Varnish cache. In this context, you bypass one cache (browser), in order to access another (Varnish). Varnish will then appear stale or up-to-date, depending on whether the url was purged.

Ah, I see. That makes sense. Thank you!